#block
function f:block/tick

#engine
execute if score engine game matches ..0 run function f:engine/light_off
execute if score engine game matches 1.. run function f:engine/light_on

execute if score engine game matches 1.. run tellraw @a[tag=engine.off.info,x=-38,y=108,z=-83,distance=..20] {"translate":"info.012"}
execute if score engine game matches 1.. run execute at @a[tag=engine.off.info,x=-38,y=108,z=-83,distance=..20] run playsound minecraft:entity.experience_orb.pickup record @a ~ ~ ~ 1 1
execute if score engine game matches 1.. run tag @a remove engine.off.info
execute if score engine game matches 0 run tellraw @a[tag=!engine.off.info,x=-38,y=108,z=-83,distance=..20] {"translate":"info.011"}
execute if score engine game matches 0 run execute at @a[tag=!engine.off.info,x=-38,y=108,z=-83,distance=..20] run playsound minecraft:entity.experience_orb.pickup record @a ~ ~ ~ 1 1
execute if score engine game matches 0 run tag @a[x=-38,y=108,z=-83,distance=..20] add engine.off.info

#actionbar

title @a[tag=subtitles] actionbar ["",{"translate":"actionbar.000"},{"score":{"name":"time.hou","objective":"game"},"color":"yellow"},{"text":"h:","color":"yellow"},{"score":{"name":"time.min","objective":"game"},"color":"yellow"},{"text":"m:","color":"yellow"},{"score":{"name":"time.sec","objective":"game"},"color":"yellow"},{"text":"s    ","color":"yellow"},{"translate":"actionbar.001"},{"score":{"name":"money","objective":"game"},"color":"green"},{"text":"     "},{"translate":"actionbar.002"},{"score":{"name":"engine","objective":"game"},"color":"gold"},{"text":"%","color":"gold"}]
execute as @a if score @s leave matches 1.. run function f:load

#stats
execute as @a at @s run function f:stats/mined_blocks

#seasons
function f:seasons/tick

#atlas
execute as @a at @s run function f:atlas/player
execute as @e[tag=atlas.lok.marker] at @s run tp @s ~ ~ ~ facing entity @r[tag=lok_particle]

#carriage
function f:carriage/tick

#sign_tick
setblock -39 107 -83 air
setblock -39 107 -83 oak_wall_sign[facing=west]{front_text:{messages:['{"text":""}','{"translate":"actionbar.002"}','[{"score":{"name":"engine","objective":"game"},"color":"#FFCC00"},{"text":"%","color":"#FFCC00"}]','{"text":""}']}}

#nether
execute if block -47 107 -80 fire run function f:nether/portal/open
function f:hopper/nether/check
clear @a glass_bottle
execute as @e at @s[x=333,y=92,z=-15,dx=50,dy=3,dz=50] run playsound minecraft:entity.enderman.teleport record @s 360 103 -2 9999999999999999
execute as @e at @s[x=333,y=92,z=-15,dx=50,dy=3,dz=50] run tp @s 360 103 -2 90 0

#guangcan
execute if score mined_guangcan game matches 1.. run function f:guangcan/chance
execute as @e[type=item,nbt={Item:{id:"minecraft:blaze_powder",Count:1b}}] at @s if entity @e[type=item,nbt={Item:{id:"minecraft:lime_dye",Count:1b,tag:{CustomModelData:1}}},distance=..0.3] run function f:guangcan/make_pearl

#xp
execute as @e[type=experience_orb,tag=!from_adv] run function f:xp/tick

#end
execute in minecraft:the_end run fill 102 48 -2 98 48 2 end_stone_bricks

execute as @e[tag=gui] run data merge entity @s {DisplayState:{Name:"minecraft:air",Properties:{conditional:"true",facing:"up"}},DisplayOffset:4}

#adv
execute if score money game matches 1000.. run advancement grant @a only f:oreclicker/1000
execute if score money game matches 10000.. run advancement grant @a only f:oreclicker/10000
execute if score money game matches 100000.. run advancement grant @a only f:oreclicker/100000
execute if score money game matches 1000000.. run advancement grant @a only f:oreclicker/1000000
execute if score money game matches 10000000.. run advancement grant @a only f:oreclicker/10000000
execute if score money game matches 100000000.. run advancement grant @a only f:oreclicker/100000000
execute if score money game matches 1000000000.. run advancement grant @a only f:oreclicker/1000000000
execute if entity @p[nbt={Inventory:[{id:"minecraft:lime_dye",tag:{CustomModelData:1}}]}] run advancement grant @a only f:oreclicker/guangcan
execute if entity @p[nbt={Inventory:[{id:"minecraft:blaze_powder"}]}] run advancement grant @a only f:oreclicker/carbonate
execute if entity @p[nbt={Inventory:[{id:"minecraft:ender_eye"}]}] run advancement grant @a only f:oreclicker/eye

execute if entity @p[nbt={Inventory:[{id:"minecraft:netherite_pickaxe",tag:{CustomModelData:8}}]}] run advancement grant @a only f:oreclicker/szafran_pickaxe
execute if entity @p[nbt={Inventory:[{id:"minecraft:netherite_pickaxe",tag:{CustomModelData:9}}]}] run advancement grant @a only f:oreclicker/jadeit_pickaxe
execute if entity @p[nbt={Inventory:[{id:"minecraft:netherite_pickaxe",tag:{CustomModelData:7}}]}] run advancement grant @a only f:oreclicker/painit_pickaxe

#easters
function f:easters/tick
function f:ambient/tick

#residents
function f:models/tick
execute as @e[tag=npcs_root] at @s run tp @s ~ ~ ~ facing entity @p[distance=..10]
execute as @e[tag=aj.residents.root,tag=!sleeping,tag=!pianist,tag=!sitting,tag=!honey] at @s run data modify entity @s Rotation[0] set from entity @e[tag=npcs_root,limit=1,sort=nearest] Rotation[0]
execute in minecraft:the_nether as @e[tag=nether,type=piglin] at @s run tp @s ~ ~ ~ facing entity @p[distance=..10]
execute in minecraft:the_end as @e[tag=end,type=enderman] at @s run tp @s ~ ~ ~ facing entity @p[distance=..10]

#fixes
stopsound @a music minecraft:music.game
stopsound @a music minecraft:music.creative
execute as @a at @s run function f:music/travel
execute as @a[tag=!joined] at @s run tag @a add engine.off.info
execute as @a[tag=!joined] at @s run tp @a -41 95 -91 -45 0
execute as @a[tag=!joined] at @s run function f:models/spawn
execute as @a[tag=!joined] at @s run function f:modes/presets/normal
execute as @a[tag=!joined] at @s run gamemode adventure @a
execute as @a[tag=!joined] at @s run function f:models/a_button_work
execute as @a[tag=!joined] at @s run function f:settings/gamerules
execute as @a[tag=!joined] at @s run tellraw @a [{"translate":"info.035"},{"translate":"info.033","clickEvent":{"action":"open_url","value":"https://discord.com/invite/EDFf8np2AD"}},{"translate":"info.034","clickEvent":{"action":"open_url","value":"https://www.patreon.com/AmadeuszSosna"}}]
execute as @a[tag=!joined] at @s run tag @s add joined
execute if entity @a[x=347,y=100,z=-2,distance=..50] run tag @a remove lok_particle
effect give @a minecraft:saturation infinite 255 true
stopsound @a * minecraft:block.sign.waxed_interact_fail
function f:menu/button
execute if score haste game.settings matches 1 run effect give @a minecraft:haste infinite 1 true
execute if score haste game.settings matches 0 run effect clear @a haste
execute store result score time game run time query daytime
execute if score time game matches 24000.. run time set 0
execute if entity @a[name="LJayPL"] run data merge entity @e[tag=gornik,limit=1] {CustomName: '{"translate":"title.014"}'}
execute as @e[tag=gornik] if score miner_anim game.settings matches 1 run function f:miner/work
title @a[x=-39,y=95,z=-89,distance=..10] subtitle {"translate":"You haven't loaded ResourcesPack!","color":"red"}
title @a[x=-39,y=95,z=-89,distance=..10] title {"text":"","color":"red"}
execute in the_nether run setblock 42 101 -2 air
execute in the_nether run setblock 42 101 -2 minecraft:oak_wall_sign[facing=west,waterlogged=false]{back_text:{color:"black",has_glowing_text:0b,messages:['{"text":""}','{"text":""}','{"text":""}','{"text":""}']},front_text:{color:"black",has_glowing_text:0b,messages:['{"text":""}','[{"score":{"name":"agua","objective":"game"},"color":"gold"},{"text":"/10","color":"gold","bold":true}]','{"text":""}','{"text":""}']},is_waxed:1b}
execute in the_nether run setblock 42 101 0 air
execute in the_nether run setblock 42 101 0 minecraft:oak_wall_sign[facing=west,waterlogged=false]{back_text:{color:"black",has_glowing_text:0b,messages:['{"text":""}','{"text":""}','{"text":""}','{"text":""}']},front_text:{color:"black",has_glowing_text:0b,messages:['{"text":""}','[{"score":{"name":"acarb","objective":"game"},"color":"gold"},{"text":"/10","color":"gold","bold":true}]','{"text":""}','{"text":""}']},is_waxed:1b}
scoreboard players set bees game 0
execute as @e[type=bee] run scoreboard players add bees game 1
execute unless score bees game matches 30.. run summon bee -59.00 110.47 -104.37 {Invulnerable:1}
execute if score bees game matches 51.. run kill @e[type=bee,limit=1]

execute if score acarb game matches 11.. run scoreboard players set acarb game 10
execute if score agua game matches 11.. run scoreboard players set agua game 10